import request from '@/utils/request.js'

// 查询CCAP控制计划审批和描述列表
export function getCCAPPlanDescriptions(controlPlanId) {
  return request({
    url: '/control/compilationTask/' + controlPlanId,
    method: 'get',
  })
}

// 查询CCAP控制计划关键零部件列表
export function getCCAPPlanKeyList(query) {
  return request({
    url: '/control/ccapKeyParts/list',
    method: 'get',
    params: query
  })
}

// 查询CCAP控制计划变更履历列表
export function getCCAPPlanChangeList(query) {
  return request({
    url: '/control/ccapPlan/changeLog/list',
    method: 'get',
    params: query
  })
}
